package com.eactive.eai.adapter.socket2.protocol.http.codec;

import com.eactive.eai.adapter.socket2.config.SocketAdapterContext;
import org.apache.mina.filter.codec.demux.DemuxingProtocolCodecFactory;


public class HttpProtocolCodecFactory extends DemuxingProtocolCodecFactory {
    public HttpProtocolCodecFactory(SocketAdapterContext context) {
        super.register(HttpRequestDecoder.class);
        super.register(HttpResponseEncoder.class);
    }
}
